View Single Post
Old 08-22-2012, 08:01 AM   #107
jackie_w
Wizard
jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.
 
Posts: 2,920
Karma: 4329601
Join Date: Sep 2009
Location: UK
Device: Sony PRS-350, PB360, Kobo Glo/AuraHD/Aura6"/AuraH2O
Quote:
Originally Posted by bverspeiser View Post
Hm, for me this plugin never worked: When selecting the cover it shows a message: "not supported bmp". I helped myself by inserting a

Code:
os.system("/usr/bin/convert - colors 8 %s %s" % (dest, dest))
after the save_cover_data_to at copy_to_pocketbook in ui.py. But this does not work anymore in the actual version (dialogs.py now) either (the plugin does not show up in the menues). I do not know the difference between the PIM-image and the ImageMagick-image but the IM-one worked with older versions.
Whilst I'm very sorry this has never worked on your PB603, I do wonder why you didn't bother to report it at the time. The only feedback I've had from any PocketBook user is a grand total of 1 post (#9) in March 2011, from a PB602 owner who said it worked fine. I'm not a mind-reader you know

I have no objection to you customising the plugin in whatever way you like, it's freely shared after all, but it would have been nice if you'd freely shared your solution for the benefit of others.

Nevermind, we're here now. In the absence of feedback from other PB owners, I only have my own PB360 for testing. I can confirm the current release v1.6.0 works OK on that.

To move forward we need to do 2 things:
  1. Find out the how the image requirements of a PB603 are different from a 602.
  2. Find a way of the plugin detecting that a PB603 is connected rather than a 602. This will not be totally straightforward because, as far as I can see, Calibre uses the same driver for all PocketBook 602/603/902/903

I'm now going to PM you for some more detailed chat.
jackie_w is offline   Reply With Quote